Package twisted :: Package web :: Module microdom :: Class Element

[show private | hide private]
[frames | no frames]

## Class Element

    Node --+
           |
          Element

Method Summary
| `__init__(self, tagName, attributes, parentNode, filename, markpos, caseInsensitive, preserveCase)`
| `__eq__(self, n)`
| `__hash__(self)` (inherited from `Node`)
| `__repr__(self)`
| `__str__(self)`
| `appendChild(self, child)` (inherited from `Node`)
| `cloneNode(self, deep, parent)`
| `endTag(self, endTagName)`
| `firstChild(self)` (inherited from `Node`)
| `getAttribute(self, name, default)`
| `getAttributeNode(self, name)`
| `getElementsByTagName(self, name)`
| `hasAttribute(self, name)`
| `hasAttribute_has_key(self, name)`
| `hasAttributes(self)`
| `hasChildNodes(self)` (inherited from `Node`)
| `insertBefore(self, new, ref)` (inherited from `Node`)
| `isEqualToElement(self, n)`
| `isEqualToNode(self, n)` (inherited from `Node`)
| `lastChild(self)` (inherited from `Node`)
| `removeAttribute(self, name)`
| `removeAttribute_has_key(self, name)`
| `removeChild(self, child)` (inherited from `Node`)
| `replaceChild(self, newChild, oldChild)` (inherited from `Node`)
| `setAttribute(self, name, attr)`
| `toprettyxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `toxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `writexml(self, stream, indent, addindent, newl, strip)`

Class Variable Summary
`int` | `caseInsensitive`
`int` | `preserveCase`

Class Variable Details

### caseInsensitive

  Type:
    `int`
  Value:

        1

### preserveCase

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:16:57 2003 | http://epydoc.sf.net